package com.hotent.project.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 任务定制-成本核定模板表
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-10-09
 */
@ApiModel(value="CostVerifyProjectTemplate对象", description="任务定制-成本核定模板表")
public class CostVerifyProjectTemplate extends BaseModel<CostVerifyProjectTemplate> {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "survey_template_id")
    @JsonProperty("surveyTemplateId")
    private String surveyTemplateId;
    
    @ApiModelProperty(value = "调查表名称")
    @TableField("survey_template_name")
    @JsonProperty("surveyTemplateName")
    private String surveyTemplateName;
    
    @ApiModelProperty(value = "调查表名称(英文)")
    @TableField("survey_template_name_yw")
    @JsonProperty("surveyTemplateNameYw")
    private String surveyTemplateNameYw;
    
    @ApiModelProperty(value = "模版类型1单记录 2固定表 3动态表")
    @TableField("template_type")
    @JsonProperty("templateType")
    private String templateType;
    
    @ApiModelProperty(value = "调查表数据存储表名称")
    @TableField("storage_table")
    @JsonProperty("storageTable")
    private String storageTable;
    
    @ApiModelProperty(value = "状态（-1草稿,0启用,1停用）")
    @TableField("status")
    @JsonProperty("status")
    private String status;
    
    @ApiModelProperty(value = "关联成本监审目录ID")
    @TableField("catalog_id")
    @JsonProperty("catalogId")
    private String catalogId;
    
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    @JsonProperty("createTime")
    private LocalDateTime createTime;
    
    @ApiModelProperty(value = "创建人")
    @TableField("create_by")
    @JsonProperty("createBy")
    private String createBy;
    
    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;
    
    @ApiModelProperty(value = "更新人")
    @TableField("update_by")
    @JsonProperty("updateBy")
    private String updateBy;
    
    @ApiModelProperty(value = "监审内容类型")
    @TableField("content_type")
    @JsonProperty("contentType")
    private String contentType;
    
    @ApiModelProperty(value = "监审类别")
    @TableField("type")
    @JsonProperty("type")
    private String type;
    
    @ApiModelProperty(value = "说明")
    @TableField("remarks")
    @JsonProperty("remarks")
    private String remarks;
    
    @ApiModelProperty(value = "删除")
    @TableField("is_delete")
    @JsonProperty("isDelete")
    private String isDelete;
    
    @ApiModelProperty(value = "区域编码")
    @TableField("area_code")
    @JsonProperty("areaCode")
    private String areaCode;
    
    @ApiModelProperty(value = "区域级别")
    @TableField("area_level")
    @JsonProperty("areaLevel")
    private String areaLevel;
    
    @ApiModelProperty(value = "版本号")
    @TableField("version_no")
    @JsonProperty("versionNo")
    private String versionNo;
    
    @ApiModelProperty(value = "生成模板依赖模型：1成本调查表固定表 2.历史成本审核表")
    @TableField("createmode")
    @JsonProperty("createmode")
    private String createmode;
    
    @ApiModelProperty(value = "生成模板依赖模型id")
    @TableField("createtemplateid")
    @JsonProperty("createtemplateid")
    private String createtemplateid;
    
    @ApiModelProperty(value = "任务id")
    @TableField("task_id")
    @JsonProperty("taskId")
    private String taskId;

    @ApiModelProperty(value = "原模板的主键ID")
    @TableField("orgin_survey_template_id")
    @JsonProperty("orginSurveyTemplateId")
    private String orginSurveyTemplateId;

    @ApiModelProperty(value = "流程审核人员id")
    @TableField("audituser")
    @JsonProperty("audituser")
    private String audituser;

    @ApiModelProperty(value = "流程审核状态")
    @TableField("auditstate")
    @JsonProperty("auditstate")
    private String auditstate;

    @ApiModelProperty(value = "项目id")
    @TableField("project_id")
    @JsonProperty("projectId")
    private String projectId;

    @ApiModelProperty(value = "流程辅助审核人员id")
    @TableField("auxiliaryAudituser")
    @JsonProperty("auxiliaryAudituser")
    private String auxiliaryAudituser;

    public String getOrginSurveyTemplateId() {
        return orginSurveyTemplateId;
    }

    public void setOrginSurveyTemplateId(String orginSurveyTemplateId) {
        this.orginSurveyTemplateId = orginSurveyTemplateId;
    }

    public String getAudituser() {
        return audituser;
    }

    public void setAudituser(String audituser) {
        this.audituser = audituser;
    }

    public String getAuditstate() {
        return auditstate;
    }

    public void setAuditstate(String auditstate) {
        this.auditstate = auditstate;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getAuxiliaryAudituser() {
        return auxiliaryAudituser;
    }

    public void setAuxiliaryAudituser(String auxiliaryAudituser) {
        this.auxiliaryAudituser = auxiliaryAudituser;
    }

    public String getSurveyTemplateId() {
        return surveyTemplateId;
    }

    public void setSurveyTemplateId(String surveyTemplateId) {
        this.surveyTemplateId = surveyTemplateId;
    }
    public String getSurveyTemplateName() {
        return surveyTemplateName;
    }

    public void setSurveyTemplateName(String surveyTemplateName) {
        this.surveyTemplateName = surveyTemplateName;
    }
    public String getSurveyTemplateNameYw() {
        return surveyTemplateNameYw;
    }

    public void setSurveyTemplateNameYw(String surveyTemplateNameYw) {
        this.surveyTemplateNameYw = surveyTemplateNameYw;
    }
    public String getTemplateType() {
        return templateType;
    }

    public void setTemplateType(String templateType) {
        this.templateType = templateType;
    }
    public String getStorageTable() {
        return storageTable;
    }

    public void setStorageTable(String storageTable) {
        this.storageTable = storageTable;
    }
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
    public String getCatalogId() {
        return catalogId;
    }

    public void setCatalogId(String catalogId) {
        this.catalogId = catalogId;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
    public String getContentType() {
        return contentType;
    }

    public void setContentType(String contentType) {
        this.contentType = contentType;
    }
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }
    public String getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(String isDelete) {
        this.isDelete = isDelete;
    }
    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }
    public String getAreaLevel() {
        return areaLevel;
    }

    public void setAreaLevel(String areaLevel) {
        this.areaLevel = areaLevel;
    }
    public String getVersionNo() {
        return versionNo;
    }

    public void setVersionNo(String versionNo) {
        this.versionNo = versionNo;
    }
    public String getCreatemode() {
        return createmode;
    }

    public void setCreatemode(String createmode) {
        this.createmode = createmode;
    }
    public String getCreatetemplateid() {
        return createtemplateid;
    }

    public void setCreatetemplateid(String createtemplateid) {
        this.createtemplateid = createtemplateid;
    }
    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }


    @Override
    protected Serializable pkVal() {
        return this.surveyTemplateId;
    }

    @Override
    public String toString() {
        return "CostVerifyProjectTemplate{" +
                "surveyTemplateId='" + surveyTemplateId + '\'' +
                ", surveyTemplateName='" + surveyTemplateName + '\'' +
                ", surveyTemplateNameYw='" + surveyTemplateNameYw + '\'' +
                ", templateType='" + templateType + '\'' +
                ", storageTable='" + storageTable + '\'' +
                ", status='" + status + '\'' +
                ", catalogId='" + catalogId + '\'' +
                ", createTime=" + createTime +
                ", createBy='" + createBy + '\'' +
                ", updateTime=" + updateTime +
                ", updateBy='" + updateBy + '\'' +
                ", contentType='" + contentType + '\'' +
                ", type='" + type + '\'' +
                ", remarks='" + remarks + '\'' +
                ", isDelete='" + isDelete + '\'' +
                ", areaCode='" + areaCode + '\'' +
                ", areaLevel='" + areaLevel + '\'' +
                ", versionNo='" + versionNo + '\'' +
                ", createmode='" + createmode + '\'' +
                ", createtemplateid='" + createtemplateid + '\'' +
                ", taskId='" + taskId + '\'' +
                ", orginSurveyTemplateId='" + orginSurveyTemplateId + '\'' +
                ", audituser='" + audituser + '\'' +
                ", auditstate='" + auditstate + '\'' +
                ", projectId='" + projectId + '\'' +
                ", auxiliaryAudituser='" + auxiliaryAudituser + '\'' +
                '}';
    }
}
